[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TChildExitEvent

Specifies an event handler signalled when a child process is exited.

## Declaration

Source position: interfacebase.pp line 48

`type TChildExitEvent = procedure(`
`AData: PtrInt;`
`AReason: TChildExitReason;`
`AInfo: dword`
`) of object;`

## Arguments

`AData` |  | Pointer to the data for the event.
`AReason` |  | Reason the process was exited.
`AInfo` |  | Unique identifier for the event notification.

## Description

TChildExitEvent is an object procedure type which specifies an event handler signalled when a child process is exited in a widgetset object. The parameters provide a pointer to the event data, the reason the process was exited, and a unique identifier for the event.

TChildExitEvent is the type passed as an argument to the TWidgetSet.AddProcessEventHandler method.

## See also

TChildExitReason |  | Represents reasons that a child process was exited.
TWidgetSet.AddProcessEventHandler |  | Adds a process handler routine for the specified handle.